import Places, { QrPlace } from '../entity/placeEntity';

class PlacesModel {
  private placesList: Places[];

  private modelTitle = 'places';

  constructor(data: Places[]) {
    this.placesList = data;
  }

  getData(): Places[] {
    return this.placesList;
  }

  getTitle(): string {
    return this.modelTitle;
  }

  private updatePlaces(updatedPlaces: Places[]) {
    this.placesList = updatedPlaces;
  }

  setQrFor(qrCodesToAdd: QrPlace[]): Places[] {
    const updatedPlaces = this.placesList.map((place) => {
      const relatedQrCode = qrCodesToAdd.find((qrItem) => qrItem.placeId === place.id);

      return {
        ...place,
        qr: relatedQrCode || null,
      };
    });
    this.updatePlaces(updatedPlaces);
    return updatedPlaces;
  }
}

export default PlacesModel;
