import PhoneNumberAuthRepo, { RepoHttpHandler } from '../data/repository/phonenumberAuthRepo';
import PhonenumberAuthUsecase from '../usecase/phonenumberAuthUsecase';

export interface IPhonenumberAuthInfra {
  httpHandler: RepoHttpHandler;
  wrongPhoneNumberMessage: string;
}

const phonenumberAuthInfra = ({
  httpHandler,
  wrongPhoneNumberMessage,
}: IPhonenumberAuthInfra): PhonenumberAuthUsecase => {
  // prepare repo
  const repository = new PhoneNumberAuthRepo(httpHandler);
  // prepare usecase
  const usecase = new PhonenumberAuthUsecase(repository, wrongPhoneNumberMessage);
  // return main method
  return usecase;
};

export default phonenumberAuthInfra;
