import React from 'react';

interface IPrimaryButtonProps {
  title: string;
  onClick: (e: React.MouseEvent) => void;
  className?: string;
  isDisabled?: boolean;
}

export default function PrimaryButton(props: IPrimaryButtonProps) {
  const { onClick, title, className, isDisabled = false } = props;
  return (
    <button
      disabled={isDisabled}
      onClick={onClick}
      className={`py-1 px-5 transition-all hover:bg-primary-300 bg-primary-main rounded-lg text-white text-center ${className}`}
    >
      {title}
    </button>
  );
}
