import { icons } from '../constants/assertUrls';
import { ENVs } from '../constants/envs';
import { staticMessages } from '../constants/staticMessages';

export const appConfig = {
  adminUserStorageKey: 'adminUser',
};

export const routes = {
  usersList: '/',
  createUser: '/create-user',
  authentication: '/auth',
};

export const routesData = {
  usersList: {
    path: routes.usersList,
    icon: icons.users,
    title: staticMessages.global.users,
  },
  createUser: {
    path: routes.createUser,
    icon: icons.createUser,
    title: staticMessages.global.createUser,
  },
};

const baseApiUrl = ENVs.apiOrigin;
export const apiUrls = {
  core: {
    getPlaces: `${baseApiUrl}${ENVs.apiGetPlaces}`,
    getUsers: `${baseApiUrl}${ENVs.apiGetUsers}`,
    getQrs: `${baseApiUrl}${ENVs.apiQr}`,
    createUserAccount: `${baseApiUrl}${ENVs.apiCreateUserAccount}`,
    createUserProfile: `${baseApiUrl}${ENVs.apiCreateUserProfile}`,
    createMember: `${baseApiUrl}${ENVs.apiCreateMember}`,
  },
  generic: {
    authPhonenumber: `${ENVs.apiAuthOrigin}${ENVs.apiAuthPhonenumber}`,
    authLogin: `${ENVs.apiAuthOrigin}${ENVs.apiAuthLogin}`,
    authRefresh: `${ENVs.apiAuthOrigin}${ENVs.apiAuthRefresh}`,
  },
};
