import { useNavigate } from 'react-router-dom';
import { useUser } from '../contexts/userContext';
import { navigateToAuth, updateAccessToken } from '../globalHelpers';

const useGetNavigatorAndTokenUpdater = () => {
  const userData = useUser();
  const navigate = useNavigate();

  const notLoginAuth = () => {
    navigateToAuth(userData, navigate);
  };

  const accessTokenUpdateHandler = (newAccessToken: string) => {
    updateAccessToken(newAccessToken, userData);
  };
  return {
    notLoginAuth,
    accessTokenUpdateHandler,
    userData,
    navigate,
  };
};

export default useGetNavigatorAndTokenUpdater;
