import SimpleInput, { SetStateInputMethod } from '~/driven/utils/components/inputs/simple-input/SimpleInput';
import { staticMessages } from '~/driven/utils/constants/staticMessages';
import { checkPhoneNumberInput } from '~/driven/utils/helpers/globalHelpers';

interface IPhoneNumberAuth {
  stateData: {
    stateValue: string;
    setState: React.Dispatch<React.SetStateAction<string>>;
  };
}
export default function PhoneNumberAuth(props: IPhoneNumberAuth) {
  const { stateData } = props;
  const { setState, stateValue } = stateData;
  const onChangeInput: SetStateInputMethod<typeof staticMessages.global.phonenumber> = (
    _name: typeof staticMessages.global.phonenumber,
    newValue: string,
  ) => {
    if (!checkPhoneNumberInput(newValue)) return;
    setState(newValue);
  };

  return (
    <>
      <div className='text-txt-medium text-xs mb-9 self-start'>{staticMessages.global.enterPhoneNumber}</div>
      <SimpleInput
        inputData={{ name: staticMessages.global.phonenumber, title: staticMessages.global.phonenumber }}
        stateHanlder={{ setState: onChangeInput, state: stateValue }}
        className='mb-9 w-full self-start'
      />
    </>
  );
}
