import React, { useEffect } from 'react';
import { Navigate, Outlet } from 'react-router-dom';
import AdminUserModel from '~/business-logic/generic/admin-user/common/data/model/adminUserModel';
import StorageService from '~/driven/boundaries/storage-boundary';
import { appConfig, routes } from '~/driven/utils/configs/appConfig';
import { useUser } from '~/driven/utils/helpers/contexts/userContext';
import Sidebar from '~/driving/application/support/sidebar';

/**
 * @todo should move to the logic and seperate the ui from the main logics
 */
export default function MainPageLayout() {
  const { user, setUser } = useUser();
  useEffect(() => {
    const storage = StorageService.localStorage<AdminUserModel>();
    const currentUser = storage.getData(appConfig.adminUserStorageKey);
    if (!currentUser && setUser) setUser(null);
  });

  if (!user || !user.adminUserData.accessToken) return <Navigate to={routes.authentication} replace />;
  return (
    <div className='flex flex-nowrap min-h-screen'>
      <Sidebar />
      <main className='dipal-panel w-full text-black bg-white h-screen overflow-auto'>
        <Outlet />
      </main>
    </div>
  );
}
